Skip to main content
GET
/
fleet
/
reports
/
vehicle
/
idling
[legacy] Get vehicle idling reports.
curl --request GET \
  --url https://api.samsara.com/fleet/reports/vehicle/idling \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "address": {
        "formatted": "123 Main Street Atlanta, GA 30307",
        "latitude": 34.654567,
        "longitude": 34.654567
      },
      "durationMs": 860000,
      "endTime": "2019-06-13T19:08:25Z",
      "fuelConsumptionMl": 2500,
      "isPtoActive": false,
      "startTime": "2019-06-13T19:08:25Z",
      "vehicle": {
        "externalIds": {},
        "id": "494123",
        "name": "Fleet Truck #1"
      }
    }
  ],
  "pagination": {
    "endCursor": "MjkY",
    "hasNextPage": true
  },
  "requestEndTime": "2019-06-13T19:08:25Z",
  "requestStartTime": "2019-06-13T19:08:25Z"
}

Documentation Index

Fetch the complete documentation index at: https://samsara-showcase.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

after
string

If specified, this should be the endCursor value from the previous page of results. When present, this request will return the next page of results that occur immediately after the previous page of results.

limit
integer
default:512

The limit for how many objects will be in the response. Default and max for this value is 512 objects.

Required range: 1 <= x <= 512
startTime
string
required

A start time in RFC 3339 format. Defaults to now if not provided. Millisecond precision and timezones are supported. Note that the most recent 72 hours of data may still be processing and is subject to change and latency, so it is not recommended to request data for the most recent 72 hours. (Examples: 2019-06-13T19:08:25Z, 2019-06-13T19:08:25.455Z, OR 2015-09-15T14:00:12-04:00).

endTime
string
required

An end time in RFC 3339 format. Defaults to now if not provided. Millisecond precision and timezones are supported. Note that the most recent 72 hours of data may still be processing and is subject to change and latency, so it is not recommended to request data for the most recent 72 hours. (Examples: 2019-06-13T19:08:25Z, 2019-06-13T19:08:25.455Z, OR 2015-09-15T14:00:12-04:00).

vehicleIds
string

A filter on the data based on this comma-separated list of vehicle IDs and externalIds. Example: vehicleIds=1234,5678,samsara.vin:1HGBH41JXMN109186

tagIds
string

A filter on the data based on this comma-separated list of tag IDs. Example: tagIds=1234,5678

parentTagIds
string

A filter on the data based on this comma-separated list of parent tag IDs, for use by orgs with tag hierarchies. Specifying a parent tag will implicitly include all descendent tags of the parent tag. Example: parentTagIds=345,678

isPtoActive
boolean

A filter on the data based on power take-off being active or inactive.

minIdlingDurationMinutes
integer

A filter on the data based on a minimum idling duration.

Required range: x >= 1

Response

OK response.

data
object[]
required

Multiple idling events.

pagination
object
required

Pagination parameters.

requestEndTime
string
required

The requested end time in RFC 3339 format.

Example:

"2019-06-13T19:08:25Z"

requestStartTime
string
required

The requested start time in RFC 3339 format.

Example:

"2019-06-13T19:08:25Z"